/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class linkedlogics_offheap_StringKeyConcurrentHashMap */

#ifndef _Included_linkedlogics_offheap_StringKeyConcurrentHashMap
#define _Included_linkedlogics_offheap_StringKeyConcurrentHashMap
#ifdef __cplusplus
extern "C" {
#endif
    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    put
     * Signature: (ILjava/lang/String;[BI)Z
     */
    JNIEXPORT jboolean JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_put__ILjava_lang_String_2_3BI
    (JNIEnv *, jobject, jint, jstring, jbyteArray, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    put
     * Signature: (ILjava/lang/String;[BJI)Z
     */
    JNIEXPORT jboolean JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_put__ILjava_lang_String_2_3BJI
    (JNIEnv *, jobject, jint, jstring, jbyteArray, jlong, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    setEvictionHandler
     * Signature: (ILlinkedlogics/offheap/StringKeyConcurrentHashMap/EvictionNotificationHandler;)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_setEvictionHandler
    (JNIEnv *, jobject, jint, jobject);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    get
     * Signature: (ILjava/lang/String;)[B
     */
    JNIEXPORT jbyteArray JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_get
    (JNIEnv *, jobject, jint, jstring);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    remove
     * Signature: (ILjava/lang/String;)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_remove__ILjava_lang_String_2
    (JNIEnv *, jobject, jint, jstring);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    remove
     * Signature: (ILjava/lang/String;I)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_remove__ILjava_lang_String_2I
    (JNIEnv *, jobject, jint, jstring, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    suspendEviction
     * Signature: (I)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_suspendEviction
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    resumeEviction
     * Signature: (I)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_resumeEviction
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    consumeEvictions
     * Signature: (I)Ljava/lang/String;
     */
    JNIEXPORT jstring JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_consumeEvictions
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    consumeEvictionsNonBlocking
     * Signature: (I)Ljava/lang/String;
     */
    JNIEXPORT jstring JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_consumeEvictionsNonBlocking
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    createMap
     * Signature: ()I
     */
    JNIEXPORT jint JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_createMap__
    (JNIEnv *, jobject);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    createMap
     * Signature: (I)I
     */
    JNIEXPORT jint JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_createMap__I
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_StringKeyConcurrentHashMap
     * Method:    size
     * Signature: (I)J
     */
    JNIEXPORT jlong JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_size
    (JNIEnv *, jobject, jint);

    JNIEXPORT jlong JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_sizeInBytes
    (JNIEnv *, jobject, jint);

    JNIEXPORT void JNICALL Java_linkedlogics_offheap_StringKeyConcurrentHashMap_reset
    (JNIEnv *, jobject, jint, jint);

#ifdef __cplusplus
}
#endif
#endif
